//  FILE:  PIXEL.H
//  16 BIT PUTPIXEL HEADER FILE
//  By Sam Christiansen  (schristi@cs.utexas.edu)

#ifndef _PIXEL_H
#define _PIXEL_H

#include "main.h"    //  just includes references to a few global directdraw surfaces
			   //  that I imbedded in the Lock()/Unlock() routines


// you need this struct for the getrgb16 proc
typedef struct
{
	DWORD dwRBitMask,
		dwGBitMask,
		dwBBitMask;
    RGBQUAD Position;
} RGB16;


//Must run this proc to fill the RGB16 struct with the information needed to plot a pixel
BOOL GetRGB16 ( LPDIRECTDRAWSURFACE Surface, RGB16* rgb16);


// Must have the surface locked, pass the surface description 
// that gets returned from the lock call
void PlotPixel(int x, int y, int r, int g, int b, DDSURFACEDESC *ddsd, RGB16 *rgb16);


//  lock direct draw surface
BOOL Lock(DDSURFACEDESC* ddsd);


// unlock direct draw surface
BOOL UnLock(void);

#endif